Subject: Re: bug#6811: [PATCH] emacs-23.2 on hpux

From: Jan Djärv <[email-masked]>
Date: Tue, 10 Aug 2010 16:14:06 +0200

Dan Nicolaescu skrev 2010-08-09 22.42:
> Jan Djärv<[email-masked]>  writes:
>
>> This must have been a leftover from a very old HP-UX.  AFAIK, HP-UX
>> has had termios since HP-UX 7 or 8.
>
> How about this code from systty.h:
>
>
> /* EMACS_HAVE_TTY_PGRP is true if we can get and set the tty's current
>     controlling process group.
>
>     EMACS_GET_TTY_PGRP(int FD, int *PGID) sets *PGID the terminal FD's
>     current process group.  Return -1 if there is an error.
>
>     EMACS_SET_TTY_PGRP(int FD, int *PGID) sets the terminal FD's
>     current process group to *PGID.  Return -1 if there is an error.  */
>
> /* HPUX tty process group stuff doesn't work, says the anonymous voice
>     from the past.  */
> #ifndef HPUX
> #ifdef TIOCGPGRP
> #define EMACS_HAVE_TTY_PGRP
> #else
> #ifdef HAVE_TERMIOS
> #define EMACS_HAVE_TTY_PGRP
> #endif /* HAVE_TERMIOS */
> #endif /* TIOCGPGRP */
> #endif /* not HPUX */
>
> can the HPUX special case be removed now?

I don't have access to any HP-UX so I can't check.  But I do remmeber using 
tcsetpgrp/tcgetpgrp on HP-UX in the early nineties.  HP-UX was big on POSIX.1 
back then and those functions are from there.  They are in the online HP-UX 
man pages, from 2005.

	Jan D.